<?php

namespace Litepie\Medium\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Media policy
        'Litepie\Medium\Models\Media' => \Litepie\Medium\Policies\MediaPolicy::class,// Bind Brand policy
        'Litepie\Medium\Models\Brand' => \Litepie\Medium\Policies\BrandPolicy::class,// Bind MediaTag policy
        'Litepie\Medium\Models\MediaTag' => \Litepie\Medium\Policies\MediaTagPolicy::class,// Bind MediaTopic policy
        'Litepie\Medium\Models\MediaTopic' => \Litepie\Medium\Policies\MediaTopicPolicy::class,// Bind TargetGroup policy
        'Litepie\Medium\Models\TargetGroup' => \Litepie\Medium\Policies\TargetGroupPolicy::class,// Bind MediaDetail policy
        'Litepie\Medium\Models\MediaDetail' => \Litepie\Medium\Policies\MediaDetailPolicy::class,// Bind MediaDetailCategory policy
        'Litepie\Medium\Models\MediaDetailCategory' => \Litepie\Medium\Policies\MediaDetailCategoryPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
