<?php

namespace Litepie\Medium\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MediaTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Medium\Models\Media $media)
    {
        return [
            'id'                => $media->getRouteKey(),
            'key'               => [
                'public'    => $media->getPublicKey(),
                'route'     => $media->getRouteKey(),
            ], 
            'user_id'           => $media->user_id,
            'name'              => $media->name,
            'tagline'           => $media->tagline,
            'media_type'        => $media->media_type,
            'description'       => $media->description,
            'images'            => $media->images,
            'upload'            => $media->upload,
            'format'            => $media->format,
            'targetgroup'       => $media->targetgroup,
            'details'           => $media->details,
            'slug'              => $media->slug,
            'deleted_at'        => $media->deleted_at,
            'url'               => [
                'public'    => trans_url('medium/'.$media->getPublicKey()),
                'user'      => guard_url('medium/media/'.$media->getRouteKey()),
            ], 
            'status'            => trans('app.'.$media->status),
            'created_at'        => format_date($media->created_at),
            'updated_at'        => format_date($media->updated_at),
        ];
    }
}